Bug 435488 - CSV importer does not support ISO date format
Summary: CSV importer does not support ISO date format
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: importer (show other bugs)
Version: 5.1.1
Platform: Other Other
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-07 22:32 UTC by Dawid Wróbel
Modified: 2021-04-07 22:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dawid Wróbel 2021-04-07 22:32:31 UTC
SUMMARY

It's not uncommon for financial institutions to use ISO date format. CSV Importer, however, does not currently support it.


STEPS TO REPRODUCE
1. Attempt to a CSV file with a Date column that contains an ISO-formatted entries, e.g. 2019-07-08T18:30:01

OBSERVED RESULT
1. Notice that importer cannot detect a format and none of the default formats suggested are suitable


EXPECTED RESULT
1. Importer should detect the ISO format
Comment 1 Dawid Wróbel 2021-04-07 22:34:42 UTC
Git commit fa0b69e8ed33d52cd8aacfb466f67bb98f8436b7 by Dawid Wróbel.
Committed on 07/04/2021 at 22:32.
Pushed by wrobelda into branch '5.1'.

Make CSV importer support ISO formatted date

Try parsing using ISO formatting first and only continue with
heurestics if unsuccessful.
FIXED-IN: 5.1.2

M  +6    -0    kmymoney/plugins/csv/import/core/convdate.cpp

https://invent.kde.org/office/kmymoney/commit/fa0b69e8ed33d52cd8aacfb466f67bb98f8436b7
Comment 2 Dawid Wróbel 2021-04-07 22:35:36 UTC
Git commit a08966c1cc6fc417755e9d280cec61ba2fb0976a by Dawid Wrobel, on behalf of Dawid Wróbel.
Committed on 07/04/2021 at 22:35.
Pushed by wrobelda into branch 'master'.

Make CSV importer support ISO formatted date

Try parsing using ISO formatting first and only continue with
heurestics if unsuccessful.
FIXED-IN: 5.1.2


(cherry picked from commit fa0b69e8ed33d52cd8aacfb466f67bb98f8436b7)

M  +6    -0    kmymoney/plugins/csv/import/core/convdate.cpp

https://invent.kde.org/office/kmymoney/commit/a08966c1cc6fc417755e9d280cec61ba2fb0976a